"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.iFunnyErrorCodes = void 0;
var iFunnyErrorCodes;
(function (iFunnyErrorCodes) {
    // Unknown Error
    iFunnyErrorCodes[iFunnyErrorCodes["UnknownError"] = 0] = "UnknownError";
    // Client Setup Errors
    iFunnyErrorCodes[iFunnyErrorCodes["ClientNotLoggedIn"] = 1] = "ClientNotLoggedIn";
    iFunnyErrorCodes[iFunnyErrorCodes["InvalidClient"] = 2] = "InvalidClient";
    // Auth Errors
    iFunnyErrorCodes[iFunnyErrorCodes["InvalidTokenType"] = 3] = "InvalidTokenType";
    iFunnyErrorCodes[iFunnyErrorCodes["InvalidBasicToken"] = 4] = "InvalidBasicToken";
    iFunnyErrorCodes[iFunnyErrorCodes["InvalidBearerToken"] = 5] = "InvalidBearerToken";
    iFunnyErrorCodes[iFunnyErrorCodes["InvalidGrant"] = 6] = "InvalidGrant";
    iFunnyErrorCodes[iFunnyErrorCodes["CaptchaRequired"] = 7] = "CaptchaRequired";
    // Library Errors
    iFunnyErrorCodes[iFunnyErrorCodes["InvalidBasicTokenLength"] = 8] = "InvalidBasicTokenLength";
})(iFunnyErrorCodes = exports.iFunnyErrorCodes || (exports.iFunnyErrorCodes = {}));
//# sourceMappingURL=iFunnyErrorCodes.js.map