"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IFUNNY_ERRORS = void 0;
/**
 * Known captcha types
 */
var CaptchaTypes;
(function (CaptchaTypes) {
    CaptchaTypes["FUN_CAPTCHA"] = "fun_captcha";
    CaptchaTypes["RECAPTCHA"] = "recaptcha";
})(CaptchaTypes || (CaptchaTypes = {}));
/**
 * All known error types
 */
var IFUNNY_ERRORS;
(function (IFUNNY_ERRORS) {
    IFUNNY_ERRORS["ALREADY_REPUBLISHED"] = "already_republished";
    IFUNNY_ERRORS["ALREADY_SMILED"] = "already_smiled";
    IFUNNY_ERRORS["ALREADY_UNSMILED"] = "already_unsmiled";
    IFUNNY_ERRORS["BAD_REQUEST"] = "bad_request";
    IFUNNY_ERRORS["CAPTCHA_REQUIRED"] = "captcha_required";
    IFUNNY_ERRORS["CONTENT_WAS_DELETED"] = "content_was_deleted";
    IFUNNY_ERRORS["EMAIL_EXISTS"] = "email_exists";
    IFUNNY_ERRORS["EMAIL_NOT_CONFIRMED"] = "email_not_confirmed";
    IFUNNY_ERRORS["ENTITY_ABUSED"] = "entity_abused";
    IFUNNY_ERRORS["FORBIDDEN_FOR_BANNED"] = "forbidden_for_banned";
    IFUNNY_ERRORS["FORBIDDEN_FOR_DELETED"] = "forbidden_for_deactivated";
    IFUNNY_ERRORS["INVALID_CLIENT"] = "invalid_client";
    IFUNNY_ERRORS["INVALID_EMAIL"] = "invalid_email";
    IFUNNY_ERRORS["INVALID_GRANT"] = "invalid_grant";
    IFUNNY_ERRORS["NOT_REPUBLISHED"] = "not_republished";
    IFUNNY_ERRORS["NOT_SMILED"] = "not_smiled";
    IFUNNY_ERRORS["NOT_UNSMILED"] = "not_unsmiled";
    IFUNNY_ERRORS["PINNED_LIMIT_EXCEEDED"] = "profile_pins_to_many_pins_error";
    IFUNNY_ERRORS["PUBLISHING_TIMEOUT"] = "publishing_timeout";
    IFUNNY_ERRORS["QUERY_TOO_SHORT"] = "query_too_short";
    IFUNNY_ERRORS["ROOT_COMMENT_WAS_DELETED"] = "root_comment_was_deleted";
    IFUNNY_ERRORS["SOURCE_IS_UNAVAILABLE"] = "source_is_unavailable";
    IFUNNY_ERRORS["STOP_WORD"] = "content_tag_stopword";
    IFUNNY_ERRORS["TOO_MANY_UPPERCASE"] = "too_many_uppercase";
    IFUNNY_ERRORS["UNACCEPTABLE_SYMBOLS"] = "unacceptable_symbols";
    IFUNNY_ERRORS["UNAUTHORIZED"] = "unauthorized";
    IFUNNY_ERRORS["UNKNOWN_ERROR"] = "unknown_error";
    IFUNNY_ERRORS["UNKNOWN_SOURCE"] = "unknown_source";
    IFUNNY_ERRORS["VIDEO_IS_INVALID"] = "video_is_invalid";
    IFUNNY_ERRORS["YOU_ARE_BLOCKED"] = "you_are_blocked";
})(IFUNNY_ERRORS = exports.IFUNNY_ERRORS || (exports.IFUNNY_ERRORS = {}));
//# sourceMappingURL=errors.js.map