"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Basic = void 0;
const Token_1 = require("./Token");
class Basic extends Token_1.Token {
    constructor(token, config = {}) {
        if (!token) {
            token = Token_1.Token.generateBasic(config);
        }
        super(token);
        this._config = config;
    }
    /**
     * Updates the value of the basic token\
     * ? Useful for bypassing installation bans
     * @returns New basic token
     */
    new(config) {
        this._token = Basic.new(config !== null && config !== void 0 ? config : this._config).value;
        return this;
    }
    static new(config) {
        return new Basic(null, config);
    }
}
exports.Basic = Basic;
//# sourceMappingURL=Basic.js.map